# Uses of Class
org.apache.sysds.runtime.matrix.operators.AggregateTernaryOperator

Packages that use AggregateTernaryOperator
Package
Description
org.apache.sysds.runtime.compress.lib
org.apache.sysds.runtime.instructions
org.apache.sysds.runtime.matrix.data

## Uses of AggregateTernaryOperator in org.apache.sysds.runtime.compress.lib

Methods in org.apache.sysds.runtime.compress.lib with parameters of type AggregateTernaryOperator
Modifier and Type
Method
Description
`static MatrixBlock`
CLALibAggTernaryOp.`agg(MatrixBlock m1, MatrixBlock m2, MatrixBlock m3, MatrixBlock ret, AggregateTernaryOperator op, boolean inCP)`

## Uses of AggregateTernaryOperator in org.apache.sysds.runtime.instructions

Methods in org.apache.sysds.runtime.instructions that return AggregateTernaryOperator
Modifier and Type
Method
Description
`static AggregateTernaryOperator`
InstructionUtils.`parseAggregateTernaryOperator(String opcode)`
`static AggregateTernaryOperator`
InstructionUtils.`parseAggregateTernaryOperator(String opcode, int numThreads)`

## Uses of AggregateTernaryOperator in org.apache.sysds.runtime.matrix.data

Methods in org.apache.sysds.runtime.matrix.data with parameters of type AggregateTernaryOperator
Modifier and Type
Method
Description
`static MatrixBlock`
LibMatrixAgg.`aggregateTernary(MatrixBlock in1, MatrixBlock in2, MatrixBlock in3, MatrixBlock ret, AggregateTernaryOperator op)`
`static MatrixBlock`
LibMatrixAgg.`aggregateTernary(MatrixBlock in1, MatrixBlock in2, MatrixBlock in3, MatrixBlock ret, AggregateTernaryOperator op, int k)`
`static MatrixBlock`
MatrixBlock.`aggregateTernaryOperations(MatrixBlock m1, MatrixBlock m2, MatrixBlock m3, MatrixBlock ret, AggregateTernaryOperator op, boolean inCP)`